package ch.unige.solidify.auth.util;

public class OidcTokenExpiredException extends Exception {
  private static final long serialVersionUID = 5773627151427012092L;

  String tokenExpired;
  long tokenTimeExpired;

  public OidcTokenExpiredException() {
  }

  public OidcTokenExpiredException(String message, String tokenExpired, long tokenTimeExpired) {
    super(message, null, false, false);
    this.setTokenExpired(tokenExpired);
    this.setTokenTimeExpired(tokenTimeExpired);
  }

  public String getTokenExpired() {
    return tokenExpired;
  }

  public void setTokenExpired(String tokenExpired) {
    this.tokenExpired = tokenExpired;
  }

  public long getTokenTimeExpired() {
    return tokenTimeExpired;
  }

  public void setTokenTimeExpired(long tokenTimeExpired) {
    this.tokenTimeExpired = tokenTimeExpired;
  }
}
