package ch.unige.solidify.auth.util;

import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

import org.springframework.security.test.context.support.WithSecurityContext;

@Retention(RetentionPolicy.RUNTIME)
@WithSecurityContext(factory = MockSsoUserSecurityContextFactory.class)
public @interface WithSsoMockUser {

  String uniqueid() default "0@unige.ch";

  String userContext() default "";

  long systemId() default 0;

  String cnindividu() default "0";

  String oauthToken() default "";

  String firstName() default "mock firstName";

  String lastname() default "mock Surname";

  String name() default "mockUser";

  String email() default "mock@unige.ch";

  String organization() default "unige";

  String[] employeeType() default {};

  String[] unigeChStudentCategory() default {};

  String[] ismemberOf() default {};

  String[] roles() default {};

  String homeorganizationtype() default "university";

  String[] affiliation() default {};

  String unigechoucode() default "";

  String unigechstudentoucode() default "";

  String unigechemployeeoucode() default "";

  String orgunitdn() default "";

  String matriculationnumber() default "";

  String[] allPropertiesName() default {};

  String[] allPropertiesValue() default {};

  long oauthTokenExpiresTime() default 0;

}
